Package net.shibboleth.idp.consent.logic.impl

# Class JoinFunction

java.lang.Object
net.shibboleth.idp.consent.logic.impl.JoinFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,String>`

public class JoinFunction extends Object implements Function<ProfileRequestContext,String>
Function to join the result of two functions with a separator.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,String>`
`a`
First function.
`private Function<ProfileRequestContext,String>`
`b`
Second function.
`private final Joiner`
`joiner`
Joiner to join results.
`private final org.slf4j.Logger`
`log`
Class logger.
`static final String`
`SEPARATOR`
Separator.

## Constructor Summary

Constructors
Constructor
Description
`JoinFunction(Function<ProfileRequestContext,String> functionA, Function<ProfileRequestContext,String> functionB)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### SEPARATOR

@Nonnull public static final String SEPARATOR
Separator.

See Also:
  - Constant Field Values

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### a

private Function<ProfileRequestContext,String> a
First function.

### b

private Function<ProfileRequestContext,String> b
Second function.

### joiner

@Nonnull private final Joiner joiner
Joiner to join results.

## Constructor Details

### JoinFunction

public JoinFunction(@Nonnull Function<ProfileRequestContext,String> functionA, @Nonnull Function<ProfileRequestContext,String> functionB)
Constructor.

Parameters:
  `functionA` - the first function
  `functionB` - the second function

## Method Details

### apply

@Nullable public String apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,String>`